% This file written by Chris Eppolito in 2023.
% I wrote a LaTeX tutorial on my website, which you should consider consulting if you have any questions.
% See https://eppo-math.codeberg.page/
%
\documentclass[12pt]{exam}
\usepackage[margin=1in]{geometry}
\usepackage{amsthm, amssymb, mathtools}
\usepackage[dvipsnames]{xcolor} % this is safe to remove
\newtheorem{theorem}{Theorem}
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{corollary}[theorem]{Corollary}
\theoremstyle{definition}
\newtheorem*{definition}{Definition}
\newtheorem{example}[theorem]{Example}
\theoremstyle{remark}
\newtheorem{remark}{Remark}
\newtheorem{problem}{Problem}
\usepackage[capitalise,nameinlink]{cleveref}
\crefname{theorem}{Theorem}{Theorems}
\crefname{proposition}{Proposition}{Propositions}
\crefname{lemma}{Lemma}{Lemmas}
\crefname{corollary}{Corollary}{Corollaries}
\crefname{example}{Example}{Examples}
\crefname{definition}{Definition}{Definitions}
\crefname{remark}{Remark}{Remarks}
\crefname{problem}{Problem}{Problems}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% IF YOU NEED A BIBLIOGRAPHY, PUT THAT SETUP HERE

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{document}
\newcommand{\myRGB}[3]{\textcolor{red}{#1}\textcolor{green}{#2}\textcolor{blue}{#3}} % REMOVE THIS!
\newcommand{\myName}{\myRGB{My }{Name }{Here}}   % MODIFY THIS!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\myAssignment}{Homework 03}
\header{\myName}{\Large{\myAssignment}}{\small{\today}} % NO TOUCHY!

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% INSTRUCTIONS: Solve the following problems.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}
  Let \( U(n) \) be the set of units \( \pmod{n} \), i.e.,
  \[
  U(n)
  = \left\{ [x] \in \mathbb{Z} / n\mathbb{Z} : \gcd(x, n) = 1 \right\}
  .
  \]
  Prove that \( U(n) \) is a group under multiplication \( \pmod{n} \).

  \textbf{Hint from Discrete Mathematics}: B\'ezout's Lemma says that for all \( a, b \in \mathbb{Z} \), there exist \( s, t \in \mathbb{Z} \) for which \( as + bt = \gcd(a, b) \).
\end{problem}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}[3.4.27]
  Let \( G \) be a group with \( x_1, x_2, \dots, x_n \in G \).
  Prove that \( (x_1 x_2 \cdots x_{n-1} x_n)^{-1} = x_n^{-1} x_{n-1}^{-1} \cdots x_2^{-1} x_1^{-1} \).
\end{problem}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}[3.4.33]
  Prove that if \( G \) is a group with \( (xy)^2 = x^2 y^2 \) for all \( x, y \in G \), then \( G \) is abelian.
\end{problem}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}[3.4.43]
  Prove or disprove: \( \operatorname{SL}_2(\mathbb{Z}) \) is a subgroup of \( \operatorname{GL}_2(\mathbb{R}) \).
\end{problem}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}[Optional]
  Prove or disprove: \( n\mathbb{Z} = \left\{ nk : k \in \mathbb{Z} \right\} \) is a subgroup of \( \mathbb{Z} \) for all \( n \in \mathbb{Z} \).
\end{problem}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}[Optional]
  Prove or disprove: \( n\mathbb{Z} + m = \left\{ nk + m : k \in \mathbb{Z} \right\} \) is a subgroup of \( \mathbb{Z} \) for all \( n, m \in \mathbb{Z} \).
\end{problem}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}[3.4.46]
  Prove that the intersection of two arbitrary subgroups of \( G \) is a subgroup of \( G \).
\end{problem}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{problem}[3.4.48]
  Prove that the center of a group is a subgroup of \( G \) for all groups \( G \).
  Recall that the \textbf{center} of \( G \) is
  \[
  Z(G) = \left\{ z \in G : xz = zx \text{ for all } x \in G \right\}
  .
  \]
\end{problem}

%% RESOURCES FOR LaTeX
% https://detexify.kirelabs.org/classify.html
% https://www.overleaf.com/
% https://tex.stackexchange.com/
\end{document}
